commit:     6910cd413baa16331b43051f251dcf79c481c904
Author:     Mike Frysinger <vapier <AT> chromium <DOT> org>
AuthorDate: Tue Mar  2 21:14:14 2021 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Tue Mar  2 21:32:08 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6910cd41

dev-python/gcs-oauth2-boto-plugin: version bump to 2.7

Signed-off-by: Mike Frysinger <vapier <AT> gentoo.org>

 dev-python/gcs-oauth2-boto-plugin/Manifest         |  1 +
 .../gcs-oauth2-boto-plugin-2.7.ebuild              | 43 ++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/gcs-oauth2-boto-plugin/Manifest 
b/dev-python/gcs-oauth2-boto-plugin/Manifest
index 32c869d6a36..148cf4822eb 100644
--- a/dev-python/gcs-oauth2-boto-plugin/Manifest
+++ b/dev-python/gcs-oauth2-boto-plugin/Manifest
@@ -1 +1,2 @@
 DIST gcs-oauth2-boto-plugin-2.5.tar.gz 16739 BLAKE2B 
a8ef124670063eb19119f7ab6cfd3101f68815a61ec183b3c9ac79ac158e3e47f48349b4f3faa0cf83ce9a203ab2f350e61fdd8a87872962bc1b24a8182f741f
 SHA512 
db6810351c8364c9b217e092aa83803cdc7831136b3fa1be4c54f978f919e2e33bdaf32b8d36db359c5a328eb57f7ad2cee219b94d7f60403f27aaa6a6fd53cc
+DIST gcs-oauth2-boto-plugin-2.7.tar.gz 20929 BLAKE2B 
79db6c7bdf76320c2f74ab5edca0dd1cf7967bd38fb9a7a0a34c05fca3cab51317fb3ebd3e9ba195b42af2944cc951d150e3ee90cc93cdeab176f79d027a9800
 SHA512 
0ea8d4b01a2da79397e06de9dc0279594017e58e3874a2633b32007590efa2e8a29b5d2127d0218663cf7e63042adcc9801dbbb11bdfcb40d0c5d67c47267a09

diff --git 
a/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-2.7.ebuild 
b/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-2.7.ebuild
new file mode 100644
index 00000000000..29da63ab3ac
--- /dev/null
+++ b/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-2.7.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="OAuth 2.0 plugin for Google Cloud Storage credentials in the Boto 
library"
+HOMEPAGE="https://pypi.org/project/gcs-oauth2-boto-plugin/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Keep versions in sync with setup.py.
+BDEPEND="
+       test? ( dev-python/freezegun[${PYTHON_USEDEP}] )
+"
+RDEPEND="${PYTHON_DEPS}
+       >=dev-python/boto-2.29.1[${PYTHON_USEDEP}]
+       >=dev-python/google-reauth-python-0.1.0[${PYTHON_USEDEP}]
+       >=dev-python/httplib2-0.18[${PYTHON_USEDEP}]
+       >=dev-python/oauth2client-2.2.0[${PYTHON_USEDEP}]
+       >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+       >=dev-python/retry-decorator-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.12.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+       # Make sure the unittests aren't installed.
+       mv gcs_oauth2_boto_plugin/test_oauth2_client.py ./ || die
+}
+
+python_test() {
+       "${EPYTHON}" "${S}"/test_oauth2_client.py -v \
+               || die "tests failed with ${EPYTHON}"
+}

Reply via email to